net.snowflake.client.core

## Class SFLoginInput

- java.lang.Object
- - net.snowflake.client.core.SFLoginInput

    public class SFLoginInput
    extends Object

A class for holding all information required for login

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAccountName()`
`String` `getApplication()`
`String` `getAuthenticator()`
`String` `getOKTAUserName()`
`String` `getPassword()`
`String` `getRole()`
`String` `getSchemaName()`
`String` `getServerUrl()`
`String` `getSessionToken()`
`String` `getToken()`
`String` `getUserName()`
`String` `getWarehouse()`
`boolean` `isValidateDefaultParameters()`
`SFLoginInput` `setAccountName(String accountName)`
`SFLoginInput` `setApplication(String application)`
`SFLoginInput` `setAuthenticator(String authenticator)`
`SFLoginInput` `setOKTAUserName(String oktaUserName)`
`SFLoginInput` `setPassword(String password)`
`SFLoginInput` `setRole(String role)`
`SFLoginInput` `setSchemaName(String schemaName)`
`SFLoginInput` `setSessionToken(String sessionToken)`
`SFLoginInput` `setToken(String token)`
`SFLoginInput` `setValidateDefaultParameters(Object v)`
`SFLoginInput` `setWarehouse(String warehouse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getServerUrl

    public String getServerUrl()

#### getSchemaName

    public String getSchemaName()

#### setSchemaName

    public SFLoginInput setSchemaName(String schemaName)

#### getWarehouse

    public String getWarehouse()

#### setWarehouse

    public SFLoginInput setWarehouse(String warehouse)

#### getRole

    public String getRole()

#### setRole

    public SFLoginInput setRole(String role)

#### isValidateDefaultParameters

    public boolean isValidateDefaultParameters()

#### setValidateDefaultParameters

    public SFLoginInput setValidateDefaultParameters(Object v)

#### getAuthenticator

    public String getAuthenticator()

#### setAuthenticator

    public SFLoginInput setAuthenticator(String authenticator)

#### getOKTAUserName

    public String getOKTAUserName()

#### setOKTAUserName

    public SFLoginInput setOKTAUserName(String oktaUserName)

#### getAccountName

    public String getAccountName()

#### setAccountName

    public SFLoginInput setAccountName(String accountName)

#### getUserName

    public String getUserName()

#### getPassword

    public String getPassword()

#### setPassword

    public SFLoginInput setPassword(String password)

#### getToken

    public String getToken()

#### setToken

    public SFLoginInput setToken(String token)

#### getSessionToken

    public String getSessionToken()

#### setSessionToken

    public SFLoginInput setSessionToken(String sessionToken)

#### getApplication

    public String getApplication()

#### setApplication

    public SFLoginInput setApplication(String application)